#ifndef AUTORIZATIONDIALOG_H
#define AUTORIZATIONDIALOG_H

#include <QDialog>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include <QHBoxLayout>
#include <QVBoxLayout>

class AutorizationDialog : public QDialog
{
    Q_OBJECT

public:
    explicit AutorizationDialog(QWidget* parent = 0);
    ~AutorizationDialog();

    QString getUser();
    QString getPassword();

private:
    QLabel* m_loginLabel;
    QLabel* m_passwordLabel;
    QLineEdit* m_loginLineEdit;
    QLineEdit* m_passwordLineEdit;
    QPushButton* m_OKButton;
    QPushButton* m_cancelButton;
    QVBoxLayout* m_labelsLayout;
    QVBoxLayout* m_linesEditLayout;
    QHBoxLayout* m_autorizationLayout;
    QHBoxLayout* m_buttonsLayout;
    QVBoxLayout* m_mainLayout;

private slots:
    void slotClickedOKButton();
    void slotClickedCancelButton();
};

#endif // AUTORIZATIONDIALOG_H
